# Make sure I get access to all variables set when
# installing the hlhdf package.
-include /opt/baltrad/hlhdf/default/mkf/hldef.mk

srcdir = 	.
prefix =        /usr/src/packages/BUILD/debian/tmp/opt/baltrad/rave


RAVE_INCLUDE_FLAG=  -I/usr/src/packages/BUILD/debian/tmp/opt/baltrad/rave/include
RAVE_LIB_FLAG=      -L/usr/src/packages/BUILD/debian/tmp/opt/baltrad/rave/lib

CC=		gcc
RANLIB=		ranlib
AR=		ar

OPTS=		-DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -pthread
LDFLAGS=	
LDSHARED=	$(CC) -shared -Wl,-O1 -Wl,-Bsymbolic-functions $(PY_LDFLAGS)
CCSHARED=	-fPIC
DEFS=		
INCLUDE_PYTHON=	-I/usr/include/python2.7
PYTHON_INCLUDE_FLAG=-I/usr/include/python2.7
SITEPACK_PYTHON= /usr/lib/python2.7/site-packages

CREATE_ITRUNC= -DCREATE_ITRUNC

PROJ_INCLUDE_DIR=
PROJ_LIB_DIR=
PROJ_INCLUDE_FLAG=  
PROJ_LIBRARY_FLAG=  

EXPAT_INCLUDE_DIR=
EXPAT_LIB_DIR=
EXPAT_SUPPRESSED=no

JDK_SUPRESSED=yes
JDK_ROOT=
JDK_VERSION=

BUFR_INCLUDE_DIR=
BUFR_LIB_DIR=
BUFR_TABLE_DIR=
BUFR_SUPPRESSED=yes

GOT_PTHREAD_SUPPORT=yes

NUMPY_INCLUDE_DIR=-I/usr/lib/pymodules/python2.7/numpy/core/include/numpy
NUMPY_INCLUDE_FLAG= -I/usr/lib/pymodules/python2.7/numpy/core/include/numpy

HLHDF_ROOTDIR= /opt/baltrad/hlhdf/default
HLHDF_INCLUDE_DIR= /opt/baltrad/hlhdf/default/include
HLHDF_LIB_DIR= /opt/baltrad/hlhdf/default/lib
HLHDF_INSTALL_BIN= /opt/baltrad/hlhdf/default/bin/hlinstall.sh
HLHDF_HLDEF_MK_FILE= /opt/baltrad/hlhdf/default/mkf/hldef.mk
HLHDF_LIBRARY_FLAG= -L/opt/baltrad/hlhdf/default/lib
HLHDF_INCLUDE_FLAG= -I/opt/baltrad/hlhdf/default/include

RAVE_VERSION= 0.65a
RAVE_PATCH_LEVEL=0

#
# These flags should be used by extension modules that are using
# rave in order to compile and link properly.
# The CFLAGS contains include directives for the extras
# LDFLAGS contains library paths for the extras
# LIBRARIES is a list of libraries, like -lOperaBufr -lexpat -l....
#
RAVE_MODULE_CFLAGS=$(SHARED_FLAG) $(CCOPTS) $(DEFS) $(RAVE_INCLUDE_FLAG) $(HLHDF_INCLUDE_FLAG) $(ZLIB_INCDIR) $(HDF5_INCDIR) $(PROJ_INCLUDE_FLAG)
RAVE_MODULE_PYCFLAGS= $(SHARED_FLAG) $(CCOPTS) $(DEFS) $(PYTHON_INCLUDE_FLAG) $(NUMPY_INCLUDE_FLAG) $(RAVE_INCLUDE_FLAG) $(RAVE_INCLUDE_FLAG)/python $(HLHDF_INCLUDE_FLAG) $(ZLIB_INCDIR) $(HDF5_INCDIR) $(PROJ_INCLUDE_FLAG)
RAVE_MODULE_LDFLAGS= $(RAVE_LIB_FLAG) $(HLHDF_LIBRARY_FLAG) $(ZLIB_LIBDIR) $(HDF5_LIBDIR) $(PROJ_LIB_FLAG)
RAVE_MODULE_LIBRARIES=-lravetoolbox -lhlhdf -lproj
RAVE_MODULE_PYLIBRARIES=-lravepyapi -lravetoolbox -lhlhdf -lproj

ifeq ($(EXPAT_SUPPRESSED), no)
RAVE_MODULE_LDFLAGS+= $(EXPAT_LIB_DIR)
RAVE_MODULE_LIBRARIES+= -lexpat
RAVE_MODULE_PYLIBRARIES+= -lexpat
endif

ifeq ($(BUFR_SUPPRESSED), no)
RAVE_MODULE_LDFLAGS+= $(BUFR_LIB_DIR)
RAVE_MODULE_LIBRARIES+= -lOperaBufr
RAVE_MODULE_PYLIBRARIES+= -lOperaBufr
endif

ifeq ($(GOT_PTHREAD_SUPPORT), yes)
RAVE_MODULE_LIBRARIES+= -lpthread
RAVE_MODULE_PYLIBRARIES+= -lpthread
endif



